﻿using Syncfusion.DocIO.DLS;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.Diagnostics;

namespace TableSample
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            WordDocument document = new WordDocument();

            document.EnsureMinimal();
            //Adds a new Table to the text body.

            WTable doctable = document.LastSection.Body.AddTable() as WTable;

            //Insert rows to the table. This will apply the format to a whole table.
            doctable.ResetCells(5, 5);

            for (int i = 0; i < doctable.Rows.Count; i++)
            {
                WTableRow row = doctable.Rows[i];
                for (int j = 0; j < row.Cells.Count; j++)
                {
                    //Adds paragraph to the table cell.
                    WParagraph paragraph = row.Cells[j].AddParagraph() as WParagraph;
                    //Appends text to the paragraph
                    paragraph.AppendText("table" + i);
                }
            }
            InserPageBreak(doctable as WTable);
            //saves the document
            document.Save("output.docx");
            Process.Start("output.docx");

        }
        /// <summary>
        /// Inserts page break into the tablecell
        /// </summary>
        /// <param name="table"></param>
        private static void InserPageBreak(WTable table)
        {
            int i = 1;
            while (i < table.Rows.Count)
            {
                //To get the owner textbody of the table
                WTextBody body = table.Owner as WTextBody;
                //Adds an empty paragraph and insert the pagebreak
                body.AddParagraph().AppendBreak(Syncfusion.DocIO.DLS.BreakType.PageBreak);
                //Add the new table to the owner textbody
                WTable pageBreaktable = body.AddTable() as WTable;
                //Moves the row to the new table
                WTableRow row = table.Rows[i] as WTableRow;
                pageBreaktable.Rows.Add(row);
            }
        }
    }
}
